------------------------------------------------------------------------------------
--Name:  	Thanksgiving3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-10-24
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(46, 69)
local npc_0 = CppScriptMgr:AddSimplePlayer(1062516, 42, 69, "4th Turkey Sister", 0, 0)
npc_0:SetDir(6)
local npc_1 = CppScriptMgr:AddSimplePlayer(1064452, 48, 69, "", 0, 0)
npc_1:SetDir(2)
CppScriptMgr:WaitMilSec(710)
npc_0:Say("Summon!", 1000)
npc_0:SetAction(401)
CppScriptMgr:WaitMilSec(150)
CppScriptMgr:NpcCallOut("Summon!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJSJ", 150, 430, "4th Turkey Sister", 250, 655)
npc_1:SetAction(101)
local effect_0 = CppScriptMgr:AddEffect("rockdownatt", 48, 69, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(750)
local monster_0 = CppScriptMgr:AddPlayer(202, 44, 65, "", 0, 0)
monster_0:SetDir(7)
local monster_1 = CppScriptMgr:AddPlayer(202, 50, 71, "", 0, 0)
monster_1:SetDir(3)
local monster_2 = CppScriptMgr:AddPlayer(202, 46, 71, "", 0, 0)
monster_2:SetDir(5)
local monster_3 = CppScriptMgr:AddPlayer(202, 50, 67, "", 0, 0)
monster_3:SetDir(1)
CppScriptMgr:WaitMilSec(910)
npc_1:Say("Don`t come over! Ah!", 1000)
CppScriptMgr:WaitMilSec(880)
monster_0:SetAction(401)
monster_1:SetAction(401)
monster_2:SetAction(401)
monster_3:SetAction(401)
CppScriptMgr:WaitMilSec(220)
npc_1:SetAction(330)
CppScriptMgr:WaitMilSec(330)
npc_1:SetAction(331)
npc_1:SetFrameInterval(10000)
CppScriptMgr:WaitMilSec(200)
CppScriptMgr:NpcCallOut("Eat you all! I`m gonna eat all of you!", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJSJ", 150, 430, "4th Turkey Sister", 250, 655)
npc_0:Say("Eat you all! I`m gonna eat all of you!", 1000)
npc_0:SetAction(101)
CppScriptMgr:WaitMilSec(1980)
local effect_8 = CppScriptMgr:AddEffect("zf2-e235", 42, 69, 33, 1, 1, 1)
local effect_7 = CppScriptMgr:AddEffect("zf2-e235", 50, 67, 33, 1, 1, 1)
local effect_4 = CppScriptMgr:AddEffect("zf2-e235", 44, 65, 33, 1, 1, 1)
local effect_5 = CppScriptMgr:AddEffect("zf2-e235", 50, 71, 33, 1, 1, 1)
local effect_6 = CppScriptMgr:AddEffect("zf2-e235", 46, 71, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(530)
monster_3:SetHide(1)
npc_0:SetHide(1)
monster_0:SetHide(1)
monster_1:SetHide(1)
monster_2:SetHide(1)
CppScriptMgr:WaitMilSec(1040)
local effect_1 = CppScriptMgr:AddEffect("zf2-e233", 44, 70, 33, 1, 1, 1)
local effect_2 = CppScriptMgr:AddEffect("zf2-e233", 47, 66, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(600)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetPos(47, 66)
player_0:SetDir(7)
local actor_name_0 = player_0:GetName()
local npc_2 = CppScriptMgr:AddSimplePlayer(1062530, 44, 70, "6th Turkey Brother", 0, 0)
npc_2:SetDir(6)
CppScriptMgr:WaitMilSec(330)
CppScriptMgr:NpcCallOut("My 4th sister is overeating these days. Please help her!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJLD", 150, 430, "6th Turkey Brother", 250, 655)
npc_2:Say("My 4th sister is overeating these days. Please help her!", 1500)
CppScriptMgr:WaitMilSec(1770)
CppScriptMgr:NpcCallOut("That`s not a good habit. I`ll teach her a lesson!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJLD", 150, 430, actor_name_0, 250, 655)
player_0:Say("That`s not a good habit. I`ll teach her a lesson!", 1500)
CppScriptMgr:WaitMilSec(1590)